Skip to main content
`Ctrl`+`K`

# KSPPIPEGCRSetNprealloc

set the number of directions to preallocate with `KSPPIPEGCR`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetNprealloc(KSP ksp, PetscInt nprealloc)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- nprealloc - the number of vectors to preallocate

## Options Database Key

- -ksp_pipegcr_nprealloc N - number of vectors to preallocate

## See Also

KSP: Linear System Solvers, `KSPPIPEGCR`, `KSPPIPEGCRGetTruncationType()`, `KSPPIPEGCRGetNprealloc()`

## Level

advanced

## Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages